# Uses of Class
org.apache.lucene.search.IndexSearcher.LeafReaderContextPartition

Packages that use IndexSearcher.LeafReaderContextPartition
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of IndexSearcher.LeafReaderContextPartition in org.apache.lucene.search

Fields in org.apache.lucene.search declared as IndexSearcher.LeafReaderContextPartition
Modifier and Type
Field
Description
`final IndexSearcher.LeafReaderContextPartition[]`
IndexSearcher.LeafSlice.`partitions`
The leaves that make up this slice.
Methods in org.apache.lucene.search that return IndexSearcher.LeafReaderContextPartition
Modifier and Type
Method
Description
`static IndexSearcher.LeafReaderContextPartition`
IndexSearcher.LeafReaderContextPartition.`createForEntireSegment(LeafReaderContext ctx)`
Creates a partition of the provided leaf context that targets the entire segment
`static IndexSearcher.LeafReaderContextPartition`
IndexSearcher.LeafReaderContextPartition.`createFromAndTo(LeafReaderContext ctx, int minDocId, int maxDocId)`
Creates a partition of the provided leaf context that targets a subset of the entire segment, starting from and including the min doc id provided, until and not including the provided max doc id
Methods in org.apache.lucene.search with parameters of type IndexSearcher.LeafReaderContextPartition
Modifier and Type
Method
Description
`protected void`
IndexSearcher.`search(IndexSearcher.LeafReaderContextPartition[] partitions, Weight weight, Collector collector)`
Lower-level search API.
Constructor parameters in org.apache.lucene.search with type arguments of type IndexSearcher.LeafReaderContextPartition
Modifier
Constructor
Description
``
`LeafSlice(List<IndexSearcher.LeafReaderContextPartition> leafReaderContextPartitions)`